Questions tagged [package-management]

Tools for installing and maintaining software packages.

9 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
1
vote
0answers
258 views

Install R 3.6.3 on elementary OS: unmet dependencies

I couldn't find R or Rstudio on the built-in Elementary app store thingie, so I'm following instructions from the R project to install R in my new Elementary OS sandbox. sudo apt-get install r-base-...
1
vote
0answers
70 views

Can't see sound settings on Loki after upgrading from AppCenter

AppCenter were indicating for months that there was an update for ibus and gir. I never use the AppCenter so I continued to use my bash alias to update the system: alias upd8="sudo apt update &&...
1
vote
0answers
69 views

Log jam with AppCenter

I have installed Loki 0.4 (64bit) and am running it successfully. However I am now experiencing problems downloading apps from the AppCenter. I successfully downloaded several apps, but now it seems ...
1
vote
0answers
36 views

GRUB packages removed during installation?

I'm not sure exactly why these packages were removed, unless for an upgrade. But this current installation of elementary OS that I'm running was finally installed after 2 failed attempts where grub ...
0
votes
0answers
39 views

How do I install a newer version of a package on elementary-os?

elementaryos 5.1.4 Hera is based on ubuntu bionic (18.04) which contains zfsutils-linux at version 0.7.5. However I need version 0.8.0+ which introduces encryption. What is the proper way, to install ...
0
votes
3answers
99 views

File manager deleted after update, now can't reinstall it (broken dependencies)

After a recent update and apt autoremove, the Elementary OS files app was somehow removed. I tried to reinstall it from the appstore, only for it to complain that tumbler and tumbler extras needed ...
0
votes
0answers
376 views

Error: could not find a distribution template for elementary/juno

I have a problem on my elementary os Juno. So when I want to add a ppa, it answers me : arthur@arthur:~$ sudo add-apt-repository ppa:mpstark/elementary-tweaks-daily Traceback (most recent call last): ...
0
votes
1answer
339 views

Package manager blocked

Since I had no answers writing in Portugese, I'll try to translate my problem to English. I am trying to update the system and some apps via AppCenter (I guessing the name of the store like ...
0
votes
1answer
231 views

Can't upgrade my packages

Short version: I can't upgrade my packages (I'm using Elementary OS 0.4.1, based on Ubuntu - that's why I'm asking here). Long version: First step I try fetching package informations via sudo apt-...